TAP version 13 not ok 1 - request-promise v4.2.2 The canary is dead: ---
# > publish-please@2.1.4 postinstall /tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/publish-please
# > node lib/init.js
# > request-promise@4.2.2 prepublish /tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise
# > publish-please guard
# request-promise@4.2.2 /tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise
# +-- bluebird@3.5.4
# +-- body-parser@1.15.2
# | +-- bytes@2.4.0
# | +-- content-type@1.0.4
# | +-- debug@2.2.0
# | | `-- ms@0.7.1
# | +-- depd@1.1.2
# | +-- http-errors@1.5.1
# | | +-- inherits@2.0.3
# | | +-- setprototypeof@1.0.2
# | | `-- statuses@1.5.0
# | +-- iconv-lite@0.4.13
# | +-- on-finished@2.3.0
# | | `-- ee-first@1.1.1
# | +-- qs@6.2.0
# | +-- raw-body@2.1.7
# | | `-- unpipe@1.0.0
# | `-- type-is@1.6.16
# | `-- media-typer@0.3.0
# +-- chai@3.5.0
# | +-- assertion-error@1.1.0
# | +-- deep-eql@0.1.3
# | | `-- type-detect@0.1.1
# | `-- type-detect@1.0.0
# +-- chalk@1.1.3
# | +-- ansi-styles@2.2.1
# | +-- escape-string-regexp@1.0.5
# | +-- has-ansi@2.0.0
# | | `-- ansi-regex@2.1.1
# | +-- strip-ansi@3.0.1
# | `-- supports-color@2.0.0
# +-- gulp@3.9.1
# | +-- archy@1.0.0
# | +-- deprecated@0.0.1
# | +-- gulp-util@3.0.8
# | | +-- array-differ@1.0.0
# | | +-- array-uniq@1.0.3
# | | +-- beeper@1.1.1
# | | +-- dateformat@2.2.0
# | | +-- fancy-log@1.3.3
# | | | +-- ansi-gray@0.1.1
# | | | | `-- ansi-wrap@0.1.0
# | | | +-- color-support@1.1.3
# | | | +-- parse-node-version@1.0.1
# | | | `-- time-stamp@1.1.0
# | | +-- gulplog@1.0.0
# | | | `-- glogg@1.0.2
# | | +-- has-gulplog@0.1.0
# | | | `-- sparkles@1.0.1
# | | +-- lodash._reescape@3.0.0
# | | +-- lodash._reevaluate@3.0.0
# | | +-- lodash._reinterpolate@3.0.0
# | | +-- lodash.template@3.6.2
# | | | +-- lodash._basecopy@3.0.1
# | | | +-- lodash._basetostring@3.0.1
# | | | +-- lodash._basevalues@3.0.0
# | | | +-- lodash._isiterateecall@3.0.9
# | | | +-- lodash.escape@3.2.0
# | | | | `-- lodash._root@3.0.1
# | | | +-- lodash.keys@3.1.2
# | | | | +-- lodash._getnative@3.9.1
# | | | | +-- lodash.isarguments@3.1.0
# | | | | `-- lodash.isarray@3.0.4
# | | | +-- lodash.restparam@3.6.1
# | | | `-- lodash.templatesettings@3.1.1
# | | +-- multipipe@0.1.2
# | | | `-- duplexer2@0.0.2
# | | +-- object-assign@3.0.0
# | | +-- replace-ext@0.0.1
# | | `-- vinyl@0.5.3
# | | +-- clone@1.0.4
# | | `-- clone-stats@0.0.1
# | +-- interpret@1.2.0
# | +-- liftoff@2.5.0
# | | +-- findup-sync@2.0.0
# | | | +-- detect-file@1.0.0
# | | | +-- is-glob@3.1.0
# | | | | `-- is-extglob@2.1.1
# | | | +-- micromatch@3.1.10
# | | | | +-- arr-diff@4.0.0
# | | | | +-- array-unique@0.3.2
# | | | | +-- braces@2.3.2
# | | | | | +-- arr-flatten@1.1.0
# | | | | | +-- extend-shallow@2.0.1
# | | | | | | `-- is-extendable@0.1.1
# | | | | | +-- fill-range@4.0.0
# | | | | | | +-- extend-shallow@2.0.1
# | | | | | | +-- is-number@3.0.0
# | | | | | | | `-- kind-of@3.2.2
# | | | | | | | `-- is-buffer@1.1.6
# | | | | | | +-- repeat-string@1.6.1
# | | | | | | `-- to-regex-range@2.1.1
# | | | | | +-- repeat-element@1.1.3
# | | | | | +-- snapdragon-node@2.1.1
# | | | | | | +-- define-property@1.0.0
# | | | | | | | `-- is-descriptor@1.0.2
# | | | | | | | +-- is-accessor-descriptor@1.0.0
# | | | | | | | `-- is-data-descriptor@1.0.0
# | | | | | | `-- snapdragon-util@3.0.1
# | | | | | | `-- kind-of@3.2.2
# | | | | | `-- split-string@3.1.0
# | | | | +-- define-property@2.0.2
# | | | | | `-- is-descriptor@1.0.2
# | | | | | +-- is-accessor-descriptor@1.0.0
# | | | | | `-- is-data-descriptor@1.0.0
# | | | | +-- extend-shallow@3.0.2
# | | | | | +-- assign-symbols@1.0.0
# | | | | | `-- is-extendable@1.0.1
# | | | | +-- extglob@2.0.4
# | | | | | +-- define-property@1.0.0
# | | | | | | `-- is-descriptor@1.0.2
# | | | | | | +-- is-accessor-descriptor@1.0.0
# | | | | | | `-- is-data-descriptor@1.0.0
# | | | | | +-- expand-brackets@2.1.4
# | | | | | | +-- debug@2.6.9
# | | | | | | | `-- ms@2.0.0
# | | | | | | +-- define-property@0.2.5
# | | | | | | +-- extend-shallow@2.0.1
# | | | | | | `-- posix-character-classes@0.1.1
# | | | | | `-- extend-shallow@2.0.1
# | | | | +-- fragment-cache@0.2.1
# | | | | +-- kind-of@6.0.2
# | | | | +-- nanomatch@1.2.13
# | | | | | `-- is-windows@1.0.2
# | | | | +-- regex-not@1.0.2
# | | | | | `-- safe-regex@1.1.0
# | | | | | `-- ret@0.1.15
# | | | | +-- snapdragon@0.8.2
# | | | | | +-- base@0.11.2
# | | | | | | +-- cache-base@1.0.1
# | | | | | | | +-- collection-visit@1.0.0
# | | | | | | | | +-- map-visit@1.0.0
# | | | | | | | | `-- object-visit@1.0.1
# | | | | | | | +-- get-value@2.0.6
# | | | | | | | +-- has-value@1.0.0
# | | | | | | | | `-- has-values@1.0.0
# | | | | | | | | `-- kind-of@4.0.0
# | | | | | | | +-- set-value@2.0.0
# | | | | | | | | `-- extend-shallow@2.0.1
# | | | | | | | +-- to-object-path@0.3.0
# | | | | | | | | `-- kind-of@3.2.2
# | | | | | | | +-- union-value@1.0.0
# | | | | | | | | `-- set-value@0.4.3
# | | | | | | | | `-- extend-shallow@2.0.1
# | | | | | | | `-- unset-value@1.0.0
# | | | | | | | `-- has-value@0.3.1
# | | | | | | | +-- has-values@0.1.4
# | | | | | | | `-- isobject@2.1.0
# | | | | | | | `-- isarray@1.0.0
# | | | | | | +-- class-utils@0.3.6
# | | | | | | | +-- arr-union@3.1.0
# | | | | | | | +-- define-property@0.2.5
# | | | | | | | `-- static-extend@0.1.2
# | | | | | | | +-- define-property@0.2.5
# | | | | | | | `-- object-copy@0.1.0
# | | | | | | | +-- copy-descriptor@0.1.1
# | | | | | | | +-- define-property@0.2.5
# | | | | | | | `-- kind-of@3.2.2
# | | | | | | +-- component-emitter@1.3.0
# | | | | | | +-- define-property@1.0.0
# | | | | | | | `-- is-descriptor@1.0.2
# | | | | | | | +-- is-accessor-descriptor@1.0.0
# | | | | | | | `-- is-data-descriptor@1.0.0
# | | | | | | +-- mixin-deep@1.3.1
# | | | | | | | `-- is-extendable@1.0.1
# | | | | | | `-- pascalcase@0.1.1
# | | | | | +-- define-property@0.2.5
# | | | | | | `-- is-descriptor@0.1.6
# | | | | | | +-- is-accessor-descriptor@0.1.6
# | | | | | | | `-- kind-of@3.2.2
# | | | | | | +-- is-data-descriptor@0.1.4
# | | | | | | | `-- kind-of@3.2.2
# | | | | | | `-- kind-of@5.1.0
# | | | | | +-- extend-shallow@2.0.1
# | | | | | +-- source-map-resolve@0.5.2
# | | | | | | +-- atob@2.1.2
# | | | | | | +-- decode-uri-component@0.2.0
# | | | | | | +-- resolve-url@0.2.1
# | | | | | | +-- source-map-url@0.4.0
# | | | | | | `-- urix@0.1.0
# | | | | | `-- use@3.1.1
# | | | | `-- to-regex@3.0.2
# | | | `-- resolve-dir@1.0.1
# | | | `-- global-modules@1.0.0
# | | | `-- global-prefix@1.0.2
# | | +-- fined@1.2.0
# | | | +-- expand-tilde@2.0.2
# | | | | `-- homedir-polyfill@1.0.3
# | | | | `-- parse-passwd@1.0.0
# | | | +-- object.defaults@1.1.0
# | | | | +-- array-each@1.0.1
# | | | | `-- array-slice@1.1.0
# | | | +-- object.pick@1.3.0
# | | | `-- parse-filepath@1.0.2
# | | | +-- is-absolute@1.0.0
# | | | | `-- is-relative@1.0.0
# | | | | `-- is-unc-path@1.0.0
# | | | | `-- unc-path-regex@0.1.2
# | | | +-- map-cache@0.2.2
# | | | `-- path-root@0.1.1
# | | | `-- path-root-regex@0.1.2
# | | +-- flagged-respawn@1.0.1
# | | +-- is-plain-object@2.0.4
# | | | `-- isobject@3.0.1
# | | +-- object.map@1.0.1
# | | | +-- for-own@1.0.0
# | | | | `-- for-in@1.0.2
# | | | `-- make-iterator@1.0.1
# | | +-- rechoir@0.6.2
# | | `-- resolve@1.10.1
# | | `-- path-parse@1.0.6
# | +-- minimist@1.2.0
# | +-- orchestrator@0.3.8
# | | +-- end-of-stream@0.1.5
# | | +-- sequencify@0.0.7
# | | `-- stream-consume@0.1.1
# | +-- pretty-hrtime@1.0.3
# | +-- semver@4.3.6
# | +-- tildify@1.2.0
# | | `-- os-homedir@1.0.2
# | +-- v8flags@2.1.1
# | | `-- user-home@1.1.1
# | `-- vinyl-fs@0.3.14
# | +-- defaults@1.0.3
# | +-- glob-stream@3.1.18
# | | +-- glob@4.5.3
# | | +-- glob2base@0.0.12
# | | | `-- find-index@0.1.1
# | | +-- minimatch@2.0.10
# | | +-- ordered-read-streams@0.1.0
# | | +-- through2@0.6.5
# | | | `-- readable-stream@1.0.34
# | | `-- unique-stream@1.0.0
# | +-- glob-watcher@0.0.6
# | | `-- gaze@0.5.2
# | | `-- globule@0.1.0
# | | +-- glob@3.1.21
# | | | +-- graceful-fs@1.2.3
# | | | `-- inherits@1.0.2
# | | +-- lodash@1.0.2
# | | `-- minimatch@0.2.14
# | +-- graceful-fs@3.0.11
# | | `-- natives@1.1.6
# | +-- mkdirp@0.5.1
# | | `-- minimist@0.0.8
# | +-- strip-bom@1.0.0
# | | +-- first-chunk-stream@1.0.0
# | | `-- is-utf8@0.2.1
# | +-- through2@0.6.5
# | | `-- readable-stream@1.0.34
# | `-- vinyl@0.4.6
# | `-- clone@0.2.0
# +-- gulp-coveralls@0.1.4
# | +-- coveralls@2.13.3
# | | +-- js-yaml@3.6.1
# | | | `-- argparse@1.0.10
# | | | `-- sprintf-js@1.0.3
# | | +-- lcov-parse@0.0.10
# | | +-- log-driver@1.2.5
# | | `-- request@2.79.0
# | | +-- aws-sign2@0.6.0
# | | +-- caseless@0.11.0
# | | +-- form-data@2.1.4
# | | +-- har-validator@2.0.6
# | | | `-- commander@2.20.0
# | | +-- hawk@3.1.3
# | | | +-- boom@2.10.1
# | | | +-- cryptiles@2.0.5
# | | | +-- hoek@2.16.3
# | | | `-- sntp@1.0.9
# | | +-- http-signature@1.1.1
# | | | `-- assert-plus@0.2.0
# | | +-- oauth-sign@0.8.2
# | | +-- qs@6.3.2
# | | +-- stringstream@0.0.6
# | | +-- tough-cookie@2.3.4
# | | | `-- punycode@1.4.1
# | | `-- tunnel-agent@0.4.3
# | `-- through2@1.1.1
# | +-- readable-stream@1.1.14
# | | +-- core-util-is@1.0.2
# | | +-- isarray@0.0.1
# | | `-- string_decoder@0.10.31
# | `-- xtend@4.0.1
# +-- gulp-eslint@2.1.0
# | +-- bufferstreams@1.1.3
# | | `-- readable-stream@2.3.6
# | | +-- isarray@1.0.0
# | | +-- process-nextick-args@2.0.0
# | | +-- string_decoder@1.1.1
# | | `-- util-deprecate@1.0.2
# | +-- eslint@2.13.1
# | | +-- concat-stream@1.6.2
# | | | +-- buffer-from@1.1.1
# | | | +-- readable-stream@2.3.6
# | | | | +-- isarray@1.0.0
# | | | | `-- string_decoder@1.1.1
# | | | `-- typedarray@0.0.6
# | | +-- doctrine@1.5.0
# | | | `-- isarray@1.0.0
# | | +-- es6-map@0.1.5
# | | | +-- d@1.0.0
# | | | +-- es5-ext@0.10.49
# | | | | `-- next-tick@1.0.0
# | | | +-- es6-iterator@2.0.3
# | | | +-- es6-set@0.1.5
# | | | +-- es6-symbol@3.1.1
# | | | `-- event-emitter@0.3.5
# | | +-- escope@3.6.0
# | | | +-- es6-weak-map@2.0.2
# | | | `-- esrecurse@4.2.1
# | | +-- espree@3.5.4
# | | | +-- acorn@5.7.3
# | | | `-- acorn-jsx@3.0.1
# | | | `-- acorn@3.3.0
# | | +-- estraverse@4.2.0
# | | +-- esutils@2.0.2
# | | +-- file-entry-cache@1.3.1
# | | | +-- flat-cache@1.3.4
# | | | | +-- circular-json@0.3.3
# | | | | +-- graceful-fs@4.1.15
# | | | | +-- rimraf@2.6.3
# | | | | | `-- glob@7.1.3
# | | | | | `-- minimatch@3.0.4
# | | | | `-- write@0.2.1
# | | | `-- object-assign@4.1.1
# | | +-- glob@7.1.3
# | | | `-- minimatch@3.0.4
# | | +-- globals@9.18.0
# | | +-- ignore@3.3.10
# | | +-- imurmurhash@0.1.4
# | | +-- is-my-json-valid@2.19.0
# | | | +-- generate-function@2.3.1
# | | | | `-- is-property@1.0.2
# | | | +-- generate-object-property@1.2.0
# | | | +-- is-my-ip-valid@1.0.0
# | | | `-- jsonpointer@4.0.1
# | | +-- is-resolvable@1.1.0
# | | +-- json-stable-stringify@1.0.1
# | | | `-- jsonify@0.0.0
# | | +-- levn@0.3.0
# | | | +-- prelude-ls@1.1.2
# | | | `-- type-check@0.3.2
# | | +-- optionator@0.8.2
# | | | +-- deep-is@0.1.3
# | | | `-- fast-levenshtein@2.0.6
# | | +-- path-is-absolute@1.0.1
# | | +-- path-is-inside@1.0.2
# | | +-- pluralize@1.2.1
# | | +-- progress@1.1.8
# | | +-- require-uncached@1.0.3
# | | | `-- caller-path@0.1.0
# | | | `-- callsites@0.2.0
# | | +-- shelljs@0.6.1
# | | +-- strip-json-comments@1.0.4
# | | +-- table@3.8.3
# | | | +-- ajv@4.11.8
# | | | | `-- co@4.6.0
# | | | +-- ajv-keywords@1.5.1
# | | | +-- slice-ansi@0.0.4
# | | | `-- string-width@2.1.1
# | | | +-- is-fullwidth-code-point@2.0.0
# | | | `-- strip-ansi@4.0.0
# | | | `-- ansi-regex@3.0.0
# | | +-- text-table@0.2.0
# | | `-- user-home@2.0.0
# | `-- object-assign@4.1.1
# +-- gulp-istanbul@1.0.0
# | +-- istanbul@0.4.5
# | | +-- abbrev@1.0.9
# | | +-- async@1.5.2
# | | +-- escodegen@1.8.1
# | | | +-- estraverse@1.9.3
# | | | `-- source-map@0.2.0
# | | | `-- amdefine@1.0.1
# | | +-- esprima@2.7.3
# | | +-- glob@5.0.15
# | | +-- handlebars@4.1.2
# | | | +-- neo-async@2.6.0
# | | | +-- optimist@0.6.1
# | | | | +-- minimist@0.0.10
# | | | | `-- wordwrap@0.0.3
# | | | +-- source-map@0.6.1
# | | | `-- uglify-js@3.5.7
# | | | `-- source-map@0.6.1
# | | +-- nopt@3.0.6
# | | +-- once@1.3.3
# | | | `-- wrappy@1.0.2
# | | +-- resolve@1.1.7
# | | +-- supports-color@3.2.3
# | | | `-- has-flag@1.0.0
# | | +-- which@1.3.1
# | | | `-- isexe@2.0.0
# | | `-- wordwrap@1.0.0
# | +-- istanbul-threshold-checker@0.1.0
# | | +-- istanbul@0.3.22
# | | | +-- escodegen@1.7.1
# | | | | +-- esprima@1.2.5
# | | | | +-- estraverse@1.9.3
# | | | | +-- optionator@0.5.0
# | | | | | +-- fast-levenshtein@1.0.7
# | | | | | +-- levn@0.2.5
# | | | | | `-- wordwrap@0.0.3
# | | | | `-- source-map@0.2.0
# | | | +-- esprima@2.5.0
# | | | +-- fileset@0.2.1
# | | | | `-- glob@5.0.15
# | | | +-- resolve@1.1.7
# | | | `-- supports-color@3.2.3
# | | `-- lodash@3.6.0
# | +-- through2@2.0.5
# | | `-- readable-stream@2.3.6
# | | +-- isarray@1.0.0
# | | `-- string_decoder@1.1.1
# | `-- vinyl-sourcemaps-apply@0.2.1
# | `-- source-map@0.5.7
# +-- gulp-mocha@2.2.0
# | +-- mocha@2.5.3
# | | +-- commander@2.3.0
# | | +-- diff@1.4.0
# | | +-- escape-string-regexp@1.0.2
# | | +-- glob@3.2.11
# | | | `-- minimatch@0.3.0
# | | | +-- lru-cache@2.7.3
# | | | `-- sigmund@1.0.1
# | | +-- growl@1.9.2
# | | +-- jade@0.26.3
# | | | +-- commander@0.6.1
# | | | `-- mkdirp@0.3.0
# | | +-- supports-color@1.2.0
# | | `-- to-iso-string@0.0.2
# | +-- plur@2.1.2
# | | `-- irregular-plurals@1.4.0
# | +-- resolve-from@1.0.1
# | +-- temp@0.8.3
# | | +-- os-tmpdir@1.0.2
# | | `-- rimraf@2.2.8
# | `-- through@2.3.8
# +-- lodash@4.13.1
# +-- publish-please@2.1.4
# | +-- ban-sensitive-files@1.9.2
# | | +-- bluebird@3.5.1
# | | +-- check-more-types@2.24.0
# | | +-- debug@3.1.0
# | | | `-- ms@2.0.0
# | | +-- ggit@2.4.2
# | | | +-- always-error@1.0.0
# | | | +-- bluebird@3.5.1
# | | | +-- chdir-promise@0.6.2
# | | | | `-- debug@3.1.0
# | | | | `-- ms@2.0.0
# | | | +-- cli-table@0.3.1
# | | | | `-- colors@1.0.3
# | | | +-- colors@1.1.2
# | | | +-- commander@2.12.2
# | | | +-- d3-helpers@0.3.0
# | | | +-- debug@3.1.0
# | | | | `-- ms@2.0.0
# | | | +-- find-up@2.1.0
# | | | | `-- locate-path@2.0.0
# | | | | +-- p-locate@2.0.0
# | | | | | `-- p-limit@1.3.0
# | | | | | `-- p-try@1.0.0
# | | | | `-- path-exists@3.0.0
# | | | +-- glob@7.1.2
# | | | | `-- minimatch@3.0.4
# | | | +-- lodash@4.17.4
# | | | +-- moment@2.19.3
# | | | +-- moment-timezone@0.5.14
# | | | +-- pluralize@7.0.0
# | | | +-- q@2.0.3
# | | | | +-- asap@2.0.6
# | | | | +-- pop-iterate@1.0.1
# | | | | `-- weak-map@1.0.5
# | | | +-- quote@0.4.0
# | | | `-- semver@5.4.1
# | | +-- lazy-ass@1.6.0
# | | +-- pluralize@7.0.0
# | | +-- ramda@0.25.0
# | | `-- update-notifier@2.3.0
# | | +-- boxen@1.3.0
# | | | +-- ansi-align@2.0.0
# | | | | `-- string-width@2.1.1
# | | | | +-- is-fullwidth-code-point@2.0.0
# | | | | `-- strip-ansi@4.0.0
# | | | | `-- ansi-regex@3.0.0
# | | | +-- camelcase@4.1.0
# | | | +-- chalk@2.4.2
# | | | | +-- ansi-styles@3.2.1
# | | | | `-- supports-color@5.5.0
# | | | | `-- has-flag@3.0.0
# | | | +-- cli-boxes@1.0.0
# | | | +-- string-width@2.1.1
# | | | | +-- is-fullwidth-code-point@2.0.0
# | | | | `-- strip-ansi@4.0.0
# | | | | `-- ansi-regex@3.0.0
# | | | +-- term-size@1.2.0
# | | | | `-- execa@0.7.0
# | | | | +-- cross-spawn@5.1.0
# | | | | | +-- lru-cache@4.1.5
# | | | | | `-- shebang-command@1.2.0
# | | | | | `-- shebang-regex@1.0.0
# | | | | +-- get-stream@3.0.0
# | | | | +-- is-stream@1.1.0
# | | | | +-- npm-run-path@2.0.2
# | | | | | `-- path-key@2.0.1
# | | | | +-- p-finally@1.0.0
# | | | | `-- strip-eof@1.0.0
# | | | `-- widest-line@2.0.1
# | | | `-- string-width@2.1.1
# | | | +-- is-fullwidth-code-point@2.0.0
# | | | `-- strip-ansi@4.0.0
# | | | `-- ansi-regex@3.0.0
# | | +-- chalk@2.4.2
# | | | +-- ansi-styles@3.2.1
# | | | | `-- color-convert@1.9.3
# | | | | `-- color-name@1.1.3
# | | | `-- supports-color@5.5.0
# | | | `-- has-flag@3.0.0
# | | +-- configstore@3.1.2
# | | | +-- dot-prop@4.2.0
# | | | | `-- is-obj@1.0.1
# | | | +-- graceful-fs@4.1.15
# | | | +-- make-dir@1.3.0
# | | | | `-- pify@3.0.0
# | | | +-- unique-string@1.0.0
# | | | | `-- crypto-random-string@1.0.0
# | | | `-- write-file-atomic@2.4.2
# | | | +-- graceful-fs@4.1.15
# | | | `-- signal-exit@3.0.2
# | | +-- import-lazy@2.1.0
# | | +-- is-installed-globally@0.1.0
# | | | +-- global-dirs@0.1.1
# | | | | `-- ini@1.3.5
# | | | `-- is-path-inside@1.0.1
# | | +-- is-npm@1.0.0
# | | +-- latest-version@3.1.0
# | | | `-- package-json@4.0.1
# | | | +-- got@6.7.1
# | | | | +-- create-error-class@3.0.2
# | | | | | `-- capture-stack-trace@1.0.1
# | | | | +-- duplexer3@0.1.4
# | | | | +-- is-redirect@1.0.0
# | | | | +-- is-retry-allowed@1.1.0
# | | | | +-- lowercase-keys@1.0.1
# | | | | +-- timed-out@4.0.1
# | | | | +-- unzip-response@2.0.1
# | | | | `-- url-parse-lax@1.0.0
# | | | | `-- prepend-http@1.0.4
# | | | +-- registry-auth-token@3.4.0
# | | | | `-- rc@1.2.8
# | | | | +-- deep-extend@0.6.0
# | | | | `-- strip-json-comments@2.0.1
# | | | +-- registry-url@3.1.0
# | | | `-- semver@5.7.0
# | | +-- semver-diff@2.1.0
# | | | `-- semver@5.7.0
# | | `-- xdg-basedir@3.0.0
# | +-- cp-sugar@1.0.0
# | | +-- cross-spawn-async@2.2.5
# | | | `-- lru-cache@4.1.5
# | | | +-- pseudomap@1.0.2
# | | | `-- yallist@2.1.2
# | | `-- shell-quote@1.6.1
# | | +-- array-filter@0.0.1
# | | +-- array-map@0.0.0
# | | `-- array-reduce@0.0.0
# | +-- elegant-status@1.1.0
# | | +-- elegant-spinner@1.0.1
# | | +-- log-update@1.0.2
# | | `-- os-family@1.1.0
# | +-- globby@4.1.0
# | | +-- array-union@1.0.2
# | | +-- arrify@1.0.1
# | | +-- glob@6.0.4
# | | +-- object-assign@4.1.1
# | | `-- pify@2.3.0
# | +-- inquirer@0.12.0
# | | +-- ansi-escapes@1.4.0
# | | +-- cli-cursor@1.0.2
# | | | `-- restore-cursor@1.0.1
# | | | +-- exit-hook@1.1.1
# | | | `-- onetime@1.1.0
# | | +-- cli-width@2.2.0
# | | +-- figures@1.7.0
# | | | `-- object-assign@4.1.1
# | | +-- readline2@1.0.1
# | | | +-- code-point-at@1.1.0
# | | | +-- is-fullwidth-code-point@1.0.0
# | | | | `-- number-is-nan@1.0.1
# | | | `-- mute-stream@0.0.5
# | | +-- run-async@0.1.0
# | | +-- rx-lite@3.1.2
# | | `-- string-width@1.0.2
# | +-- node-emoji@1.10.0
# | | `-- lodash.toarray@4.4.0
# | +-- nsp@2.8.1
# | | +-- agent-base@2.1.1
# | | | `-- semver@5.0.3
# | | +-- ansi-regex@2.1.1
# | | +-- ansi-styles@2.2.1
# | | +-- boom@2.10.1
# | | +-- chalk@1.1.3
# | | +-- cli-table@0.3.1
# | | +-- cliclopts@1.1.1
# | | +-- colors@1.0.3
# | | +-- cvss@1.0.2
# | | +-- debug@2.6.9
# | | +-- deep-extend@0.4.2
# | | +-- escape-string-regexp@1.0.5
# | | +-- extend@3.0.1
# | | +-- has-ansi@2.0.0
# | | +-- hoek@2.16.3
# | | +-- https-proxy-agent@1.0.0
# | | +-- ini@1.3.4
# | | +-- isemail@1.2.0
# | | +-- joi@6.10.1
# | | +-- minimist@1.2.0
# | | +-- moment@2.18.1
# | | +-- ms@2.0.0
# | | +-- nodesecurity-npm-utils@5.0.0
# | | +-- path-is-absolute@1.0.1
# | | +-- rc@1.2.1
# | | +-- semver@5.4.1
# | | +-- strip-ansi@3.0.1
# | | +-- strip-json-comments@2.0.1
# | | +-- subcommand@2.1.0
# | | +-- supports-color@2.0.0
# | | +-- topo@1.1.0
# | | +-- wreck@6.3.0
# | | `-- xtend@4.0.1
# | +-- pinkie-promise@2.0.1
# | | `-- pinkie@2.0.4
# | +-- pkgd@1.1.2
# | | +-- fstream-npm@1.2.1
# | | | `-- fstream-ignore@1.0.5
# | | | +-- fstream@1.0.11
# | | | | `-- graceful-fs@4.1.15
# | | | `-- minimatch@3.0.4
# | | `-- normalize-path@2.1.1
# | | `-- remove-trailing-separator@1.1.0
# | +-- promisify-event@1.0.0
# | `-- read-pkg@1.1.0
# | +-- load-json-file@1.1.0
# | | +-- graceful-fs@4.1.15
# | | +-- parse-json@2.2.0
# | | | `-- error-ex@1.3.2
# | | | `-- is-arrayish@0.2.1
# | | +-- pify@2.3.0
# | | `-- strip-bom@2.0.0
# | +-- normalize-package-data@2.5.0
# | | +-- hosted-git-info@2.7.1
# | | `-- validate-npm-package-license@3.0.4
# | | +-- spdx-correct@3.1.0
# | | | `-- spdx-license-ids@3.0.4
# | | `-- spdx-expression-parse@3.0.0
# | | `-- spdx-exceptions@2.2.0
# | `-- path-type@1.1.0
# | +-- graceful-fs@4.1.15
# | `-- pify@2.3.0
# +-- request@2.88.0
# | +-- aws-sign2@0.7.0
# | +-- aws4@1.8.0
# | +-- caseless@0.12.0
# | +-- combined-stream@1.0.7
# | | `-- delayed-stream@1.0.0
# | +-- extend@3.0.2
# | +-- forever-agent@0.6.1
# | +-- form-data@2.3.3
# | | `-- asynckit@0.4.0
# | +-- har-validator@5.1.3
# | | +-- ajv@6.10.0
# | | | +-- fast-deep-equal@2.0.1
# | | | +-- fast-json-stable-stringify@2.0.0
# | | | +-- json-schema-traverse@0.4.1
# | | | `-- uri-js@4.2.2
# | | `-- har-schema@2.0.0
# | +-- http-signature@1.2.0
# | | +-- assert-plus@1.0.0
# | | +-- jsprim@1.4.1
# | | | +-- assert-plus@1.0.0
# | | | +-- extsprintf@1.3.0
# | | | +-- json-schema@0.2.3
# | | | `-- verror@1.10.0
# | | | `-- assert-plus@1.0.0
# | | `-- sshpk@1.16.1
# | | +-- asn1@0.2.4
# | | +-- assert-plus@1.0.0
# | | +-- bcrypt-pbkdf@1.0.2
# | | +-- dashdash@1.14.1
# | | | `-- assert-plus@1.0.0
# | | +-- ecc-jsbn@0.1.2
# | | +-- getpass@0.1.7
# | | | `-- assert-plus@1.0.0
# | | +-- jsbn@0.1.1
# | | +-- safer-buffer@2.1.2
# | | `-- tweetnacl@0.14.5
# | +-- is-typedarray@1.0.0
# | +-- isstream@0.1.2
# | +-- json-stringify-safe@5.0.1
# | +-- mime-types@2.1.24
# | | `-- mime-db@1.40.0
# | +-- oauth-sign@0.9.0
# | +-- performance-now@2.1.0
# | +-- qs@6.5.2
# | +-- safe-buffer@5.1.2
# | +-- tough-cookie@2.4.3
# | | `-- punycode@1.4.1
# | +-- tunnel-agent@0.6.0
# | `-- uuid@3.3.2
# +-- request-promise-core@1.1.1
# +-- rimraf@2.5.4
# | `-- glob@7.1.3
# | +-- fs.realpath@1.0.0
# | +-- inflight@1.0.6
# | `-- minimatch@3.0.4
# | `-- brace-expansion@1.1.11
# | +-- balanced-match@1.0.0
# | `-- concat-map@0.0.1
# +-- run-sequence@1.2.2
# +-- stealthy-require@1.1.1
# `-- tough-cookie@3.0.1
# +-- ip-regex@2.1.0
# +-- psl@1.1.31
# `-- punycode@2.1.1
# > request-promise@4.2.2 test /tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise
# > gulp ci
# [06:48:59] Using gulpfile /tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/gulpfile.js
# [06:48:59] Starting 'ci'...
# [06:48:59] Starting 'validate'...
# [06:48:59] Starting 'lint'...
# [06:48:59] Finished 'lint' after 628 ms
# [06:48:59] Starting 'clean-coverage'...
# [06:48:59] Finished 'clean-coverage' after 4.49 ms
# [06:48:59] Starting 'clean'...
# [06:48:59] Finished 'clean' after 874 ns
# [06:48:59] Starting 'test'...
# Request-Promise
# should inform about the dropped CLS support
# should not resolve the promise if .abort() is used (107ms)
# 1) should allow the use of tough-cookie - issue
#183
# should expose
# .then(...) (55ms)
# .catch(...) and the error types
# .finally(...)
# .promise() returning a Bluebird promise
# .cancel() cancelling the Bluebird promise and aborting the request
# .cancel() on promises chained from the Bluebird promise, aborting the request
# should still allow to require Request independently
# by not interfering with Request required afterwards (947ms)
# by not interfering with Request required beforehand (1037ms)
# by not interfering with Request required beforehand and afterwards being identical (358ms)
# 11 passing (3s)
# 1 failing
# 1) Request-Promise should allow the use of tough-cookie - issue
#183:
# AssertionError: expected [Function] to not throw an error but 'TypeError: str.trim is not a function' was thrown
# at Context. (test/spec/request-test.js:212:24)
# [06:49:02] 'test' errored after 3.11 s
# [06:49:02] Error: TESTS FAILED
# at Stream. (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/gulpfile.js:82:26)
# at emitOne (events.js:101:20)
# at Stream.emit (events.js:188:7)
# at /tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/gulp-mocha/index.js:60:12
# at done (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/mocha.js:498:13)
# at Runner. (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:799:5)
# at emitNone (events.js:91:20)
# at Runner.emit (events.js:185:7)
# at /tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:786:12
# at /tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:639:9
# at next (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:284:14)
# at Immediate. (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:320:5)
# at runCallback (timers.js:672:20)
# at tryOnImmediate (timers.js:645:5)
# at processImmediate [as _immediateCallback] (timers.js:617:5)
# [06:49:02] 'ci' errored after 3.74 s
# [06:49:02] Error in plugin 'run-sequence(test)'
# Message:
# TESTS FAILED
# Stack:
# Error: TESTS FAILED
# at Stream. (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/gulpfile.js:82:26)
# at emitOne (events.js:101:20)
# at Stream.emit (events.js:188:7)
# at /tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/gulp-mocha/index.js:60:12
# at done (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/mocha.js:498:13)
# at Runner. (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:799:5)
# at emitNone (events.js:91:20)
# at Runner.emit (events.js:185:7)
# at /tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:786:12
# at /tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:639:9
# at next (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:284:14)
# at Immediate. (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:320:5)
# at runCallback (timers.js:672:20)
# at tryOnImmediate (timers.js:645:5)
# at processImmediate [as _immediateCallback] (timers.js:617:5)
# [06:49:02] 'validate' errored after 3.74 s
# [06:49:02] Error in plugin 'run-sequence(ci)'
# Message:
# TESTS FAILED
# Stack:
# Error: TESTS FAILED
# at Stream. (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/gulpfile.js:82:26)
# at emitOne (events.js:101:20)
# at Stream.emit (events.js:188:7)
# at /tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/gulp-mocha/index.js:60:12
# at done (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/mocha.js:498:13)
# at Runner. (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:799:5)
# at emitNone (events.js:91:20)
# at Runner.emit (events.js:185:7)
# at /tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:786:12
# at /tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:639:9
# at next (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:284:14)
# at Immediate. (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:320:5)
# at runCallback (timers.js:672:20)
# at tryOnImmediate (timers.js:645:5)
# at processImmediate [as _immediateCallback] (timers.js:617:5)
# [06:49:02] 'validate' errored after 3.74 s
# [06:49:02] Error in plugin 'run-sequence(test)'
# Message:
# TESTS FAILED
# Stack:
# Error: TESTS FAILED
# at Stream. (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/gulpfile.js:82:26)
# at emitOne (events.js:101:20)
# at Stream.emit (events.js:188:7)
# at /tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/gulp-mocha/index.js:60:12
# at done (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/mocha.js:498:13)
# at Runner. (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:799:5)
# at emitNone (events.js:91:20)
# at Runner.emit (events.js:185:7)
# at /tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:786:12
# at /tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:639:9
# at next (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:284:14)
# at Immediate. (/tmp/011b4dd4-2cc0-4797-8144-27cf9e96ede4/request-promise/node_modules/mocha/lib/runner.js:320:5)
# at runCallback (timers.js:672:20)
# at tryOnImmediate (timers.js:645:5)
# at processImmediate [as _immediateCallback] (timers.js:617:5)
# Error in plugin 'gulp-mocha'
# Message:
# 1 test failed.
# TESTS FAILED
# npm ERR! Test failed. See above for more details. duration_ms: 44188 ... 1..1